Mail archive
alpine-aports

[alpine-aports] [PATCH v3] testing/fbida: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 7 Sep 2015 22:42:31 +0200

---
 testing/fbida/APKBUILD | 64 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)
 create mode 100644 testing/fbida/APKBUILD
diff --git a/testing/fbida/APKBUILD b/testing/fbida/APKBUILD
new file mode 100644
index 0000000..782ef4c
--- /dev/null
+++ b/testing/fbida/APKBUILD
_at_@ -0,0 +1,64 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+pkgname=fbida
+pkgver=2.10
+pkgrel=0
+pkgdesc="Few applications to display and elementary edit images"
+url="http://www.kraxel.org/blog/linux/$pkgname/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="giflib-dev libexif-dev motif-dev libpng-dev jpeg-dev"
+makedepends="$depends_dev linux-headers"
+install=""
+subpackages="
+	$pkgname-fbgs:_tool
+	$pkgname-fbgs-doc:_tool_doc
+	$pkgname-exiftran:_tool
+	$pkgname-exiftran-doc:_tool_doc
+	$pkgname-fbi:_tool
+	$pkgname-fbi-doc:_tool_doc
+	$pkgname-ida:_tool
+	$pkgname-ida-doc:_tool_doc"
+source="https://www.kraxel.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	make verbose=yes \
+		-C "$_builddir" || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir" RESDIR="/usr/share/$pkgname" \
+		prefix=/usr -C "$_builddir" install || return 1
+}
+
+_tool() {
+	local name=$(echo $subpkgname | cut -d '-' -f2)
+	pkgdesc="$pkgname tool $name"
+
+	depends="$pkgname"
+	if [ "${name}" = "fbgs" ]; then
+		depends="$depends $pkgname-fbi ghostscript"
+	fi
+
+	mkdir -p "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/bin/$name \
+		"$subpkgdir"/usr/bin/$name || return 1
+}
+
+_tool_doc() {
+	local name=$(echo $subpkgname | cut -d '-' -f2)
+	pkgdesc="$pkgname tool $name (documentation)"
+	arch="noarch"
+	install_if="docs $pkgname=$pkgver-r$pkgrel"
+
+	mkdir -p "$subpkgdir"/usr/share/man/man1
+	mv "$pkgdir"/usr/share/man/man1/$name.1 \
+		"$subpkgdir"/usr/share/man/man1/$name.1 || return 1
+	gzip -9 "$subpkgdir"/usr/share/man/man1/$name.1 || return 1
+}
+
+md5sums="09460b964b58c2e39b665498eca29018  fbida-2.10.tar.gz"
+sha256sums="7a5a3aac61b40a6a2bbf716d270a46e2f8e8d5c97e314e927d41398a4d0b6cb6  fbida-2.10.tar.gz"
+sha512sums="b7371c19d68cc7219faca4bbfa464c85df2eb22c7bd737d4f0a6fb3de481497862ca22832801d29bab57285d5a8d7d0b0009e14426efdce2759d47340f5eca6d  fbida-2.10.tar.gz"
-- 
2.5.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Sep 07 2015 - 22:42:31 GMT